Subject: Re: bug#11460: 24.1.50; doc string of `assert'

From: Stefan Monnier <[email-masked]>
Date: Sun, 09 Feb 2014 14:36:26 -0500

> Looking at the code, I'm still not sure what the meaning here is.

>        (let ((sargs (and show-args
>                          (delq nil (mapcar (lambda (x)
>                                              (unless (macroexp-const-p x)
>                                                x))
>                                            (cdr form))))))

> So...  if the elements in the rest of FORM evaluate to the same value,
> they're included in the error output, but if not, not?  Uhm...

FWIW, this part of `cl-assert' is not only poorly documented, but it's
poorly designed.  And it doesn't have the excuse that it's inherited
from Common Lisp.
So I'd rather not document that mis-feature in any more detail.

        Stefan